/**
 * 设备管理接口
 */
import request from './index'
const prefix = 'device'

// 设备列表
export function getDeviceListPage(params: object) {
  return request({
    url: `${prefix}/listPage`,
    method: 'get',
    params,
  })
}
// 更新设备
export function updateDevice(data: object) {
  return request({
    url: `${prefix}/update`,
    method: 'post',
    data,
  })
}
// 新增设备
export function addDevice(data: object) {
  return request({
    url: `${prefix}/add`,
    method: 'post',
    data,
  })
}
// 删除设备
export function delDevice(data: object) {
  return request({
    url: `${prefix}/delete`,
    method: 'post',
    data,
  })
}
